Bug 126716 - CAN-2004-0497 inode_change_ok missing checks allows GID changes
CAN-2004-0497 inode_change_ok missing checks allows GID changes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ernie Petrides
Brian Brock
: Security
Depends On:
Blocks: 116727
  Show dependency treegraph
 
Reported: 2004-06-25 04:53 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-02 04:21:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Original patch (from SUSE, ACK'd by Al Viro) (443 bytes, patch)
2004-06-25 04:57 EDT, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2004-06-25 04:53:48 EDT
An audit by SUSE found a missing "must be owner of the file" check in
inode_change_ok().  In the 2.6 kernel this allows a local user to be
able to change the groupid of any object (except those setgid) by
using chown.  In the 2.4 kernel is is exploitable only via a kernel
nfsd export where the server will grant requests to change GID when it
shouldn't.

SUSE suggested an embargo date of Jul14 1600MEST but this has been
adjusted to Jun29 1600MEST.
Comment 1 Mark J. Cox (Product Security) 2004-06-25 04:57:22 EDT
Created attachment 101396 [details]
Original patch (from SUSE, ACK'd by Al Viro)
Comment 2 Ernie Petrides 2004-06-30 01:06:39 EDT
A fix for this problem has been committed to the RHEL3 E3 patch
pool this afternoon (in kernel version 2.4.21-15.0.3.EL) and a
Red Hat Security Advisory (RHSA-2004:360) has been prepared.

I'll leave this bug in ASSIGNED state until the same fix has
been committed to the RHEL3 U3 patch pool (later this week).
Comment 3 Mark J. Cox (Product Security) 2004-06-30 03:42:10 EDT
Embargo was moved to Friday Jul02 at 0800UTC
Comment 4 Mark J. Cox (Product Security) 2004-07-02 03:59:13 EDT
Removing embargo
Comment 5 Mark J. Cox (Product Security) 2004-07-02 04:21:34 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-360.html
Comment 6 Ernie Petrides 2004-07-02 17:58:47 EDT
A fix for this problem has just been committed to the RHEL3 U3
patch pool this afternoon (in kernel version 2.4.21-15.19.EL).

Note You need to log in before you can comment on or make changes to this bug.